Bug 984057 - (CVE-2013-1777) CVE-2013-1777 geronimo: Improper RMI classloader implementation in JMX remoting functionality leading to arbitrary code execution
CVE-2013-1777 geronimo: Improper RMI classloader implementation in JMX remoti...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130701,repo...
: Security
Depends On:
Blocks: 984067
  Show dependency treegraph
 
Reported: 2013-07-12 11:53 EDT by Jan Lieskovsky
Modified: 2013-09-02 01:35 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 01:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-12 11:53:15 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-1777 to the following vulnerability:

The JMX Remoting functionality in Apache Geronimo 3.x before 3.0.1, as used in IBM WebSphere Application Server (WAS) Community Edition 3.0.0.3 and other products, does not property implement the RMI classloader, which allows remote attackers to execute arbitrary code by using the JMX connector to send a crafted serialized object.

References:
[1] http://archives.neohapsis.com/archives/bugtraq/2013-07/0008.html
[2] http://geronimo.apache.org/30x-security-report.html
[3] http://www-01.ibm.com/support/docview.wss?uid=swg21643282
[4] https://issues.apache.org/jira/browse/GERONIMO-6477
Comment 1 Jan Lieskovsky 2013-07-12 12:15:03 EDT
Upstream patch (from [4]):
[5] http://svn.apache.org/viewvc?view=revision&sortby=date&revision=1458113
Comment 2 David Jorm 2013-09-02 01:35:37 EDT
Statement:

Not affected. This flaw does not affect Apache Geronimo as shipped with various Red Hat products, as the affected subsystem is not included in these products.

Note You need to log in before you can comment on or make changes to this bug.